Ipelib: ipe::PdfArray Class Reference

Ipelib

Public Member Functions | List of all members
ipe::PdfArray Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions
| PdfArray ()
| ~PdfArray ()
virtual const PdfArray * | array () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
void | append (const PdfObj *)
int | count () const noexcept
const PdfObj * | obj (int index, const PdfFile *file) const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfDict * | dict () const noexcept
String | repr () const noexcept

## Detailed Description

The PDF array object.

## Constructor & Destructor Documentation

## ◆ PdfArray()

ipe::PdfArray::PdfArray | ( |  | ) |
| inlineexplicit

References ipe::PdfObj::array(), and ipe::PdfObj::write().

## ◆ ~PdfArray()

PdfArray::~PdfArray | ( |  | ) |

## Member Function Documentation

## ◆ array()

const PdfArray * PdfArray::array | ( |  | ) | const
| virtualnoexcept

Return this object as PDF array object.

Reimplemented from ipe::PdfObj.

## ◆ write()

void PdfArray::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const
| virtualnoexcept

Implements ipe::PdfObj.

## ◆ append()

void PdfArray::append | ( | const PdfObj * | obj | ) |

Append an object to array.

Array takes ownership of the object.

Referenced by ipe::PdfResources::collect().

## ◆ count()

int ipe::PdfArray::count | ( |  | ) | const
| inlinenoexcept

Referenced by ipe::PdfFile::catalog(), ipe::PdfResources::collect(), ipe::PdfDict::getNumberArray(), ipe::PdfParser::getTrailer(), ipe::Face::glyphIndex(), ipe::Latex::readPdf(), and ipe::PdfResources::setIpeXForm().

## ◆ obj()

const PdfObj * PdfArray::obj | ( | int | index,
|  | const PdfFile * | file
| ) |  | const
| noexcept

Return object with index in array.

Indirect objects (references) are looked up if file is not nullptr, and the object referred to is returned (nullptr if it does not exist). Object remains owned by array.

References ipe::PdfObj::ref(), and ipe::PdfRef::value().

Referenced by ipe::PdfFile::catalog(), ipe::PdfResources::collect(), ipe::Face::Face(), ipe::PdfDict::getNumberArray(), ipe::PdfParser::getTrailer(), ipe::Face::glyphIndex(), ipe::Latex::readPdf(), and ipe::PdfResources::setIpeXForm().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp